<div class="row edgar-toolbar edgar-sticky d-flex justify-content-between pl-1 bg-light">
    <div>
        <div class="btn-toolbar" role="toolbar">
            <div class="btn-group" role="group" style="flex-wrap: wrap;">
                <button class="btn btn-outline-success preview-btn" left="12" right="0">1-0</button>
                <button class="btn btn-outline-success preview-btn" left="4" right="8">1-2</button>
                <button class="btn btn-outline-success preview-btn" left="6" right="6">1-1</button>
                <button class="btn btn-outline-success preview-btn" left="8" right="4">2-1</button>
                <button class="btn btn-outline-success preview-btn" left="0" right="12">0-1</button>
                <button class="btn btn-outline-success preview-btn" left="12" right="12">Vert</button>
            </div>
        </div>
    </div>
    <% if (!retired) {%>
        <div>
            <form id="frmUpload" action="/upload/<%=question.id%>" method="POST" enctype="multipart/form-data">
                <div class="input-group">
                    <div class="custom-file">
                      <input type="file" class="custom-file-input" name="images" id="inputGroupFile02"
                          multiple='multiple' accept='image/*'>
                      <label class="custom-file-label" for="inputGroupFile02">Choose file(s)</label>
                    </div>
                    <div class="input-group-append">
                      <button class="btn btn-primary" type="submit">
                        <i class="fas fa-cloud-upload-alt"></i>
                      </button>
                    </div>
                  </div>
            </form>
        </div>
        <% } %>
        <div class="form-group" >
            <div class="nav-toolbar" role="toolbar">
                <div class="btn-group" role="group">
                    <%if (locals.prevQuestion) { %>
                        <a href="/question/edit/<%=prevQuestion%>?seq=<%=sequenceId%>" class="btn btn-outline-success" role="button" disabled>
                            <i class="fa fa-arrow-left"></i>
                        </a>
                    <%} else {%>
                        <a href="#" class="btn btn-outline-success disabled" role="button">
                            <i class="fa fa-arrow-left"></i>
                        </a>
                    <%}%>
                    <%if (locals.navLabel) { %>
                        <a href="#" class="btn btn-outline-success disabled" role="button">
                            <%=navLabel%>
                        </a>
                    <%}%>
                    <%if (locals.sequenceId) { %>
                        <input form="frmMain" type="hidden" name="sequenceId" value="<%-sequenceId%>">
                    <%}%>
                    <%if (locals.nextQuestion) { %>
                        <a href="/question/edit/<%=nextQuestion%>?seq=<%=sequenceId%>" class="btn btn-outline-success" role="button" ><i class="fa fa-arrow-right"></i></a>
                    <%} else {%>
                        <a href="#" class="btn btn-outline-success disabled" role="button">
                            <i class="fa fa-arrow-right"></i>
                        </a>
                    <%}%>

                </div>
            </div>
        </div>
        <form method="post"  class="d-flex justify-content-between" action="<% if (locals.formAction !== undefined) { %><%- formAction %><% } else { %>/question/save<% } %>" id="frmMain">
            <% if (!retired) {%>
                <input type="hidden" name="id_question" value="<%=question.id%>" />
                <input type="hidden" name="is_active" value="<%=question.is_active%>" />
                <!-- <div class="mr-3">
                    <label class="form-check-label">
                        <input class="form-check-input" type="checkbox" id="chkActive" name="is_active" value="true" data-toggle="toggle" <%=((question.is_active)
                            ? "checked" : "")%> > Active
                    </label>
                </div> -->
                <div class="mr-4">
                    <label class="form-check-label ml-2">
                        <input class="form-check-input" type="checkbox" id="chkCanUpload" name="can_upload" value="true" data-toggle="toggle" <%=((question.can_upload)
                            ? "checked" : "")%> > Can upload
                    </label>

                    <label class="form-check-label">
                        <input class="form-check-input" type="checkbox" id="chkHasQuestionTime" data-toggle="toggle"
                          <%=((question.time_limit) ? "checked" : "")%>
                          onchange="toggleTimeLimitVisible(this)">
                        Time limit
                      </label>

                    <input type="number" id="timeLimitInput" name="time_limit" value="<%=question.time_limit%>"
                           style="width: 70px; display:<%=(question.time_limit) ? 'inline' : 'none'%>"/>
                    <script>
                        function toggleTimeLimitVisible(element) {
                            var inputField = document.getElementById('timeLimitInput');
                            if (inputField.style.display != 'inline') {
                                inputField.style.display = 'inline';
                            } else {
                                inputField.style.display = 'none';
                            }
                        }
                    </script>

                </div>
                <div class="form-group">
                    <div class="btn-toolbar pull-right" role="toolbar">
                        <div class="btn-group" role="group">
                            <% if (!locals.hideSave) { %>
                                <button class="btn btn-success btn-save float-right" type="submit" name="save" value="save" <% if (locals.disableSave) { %>disabled<% } %>>Save</button>
                            <% } %>
                            <button class="btn btn-primary btn-saveinplace float-right text-nowrap" type="submit" name="saveinplace" value="saveinplace" <% if (locals.disableSaveInPlace) { %>disabled<% } %>>Save In Place</button>
                            <% if (!locals.hideClone) { %>
                                <button class="btn btn-success btn-save float-right" type="submit" name="clone" value="clone" <% if (locals.disableClone) { %>disabled<% } %>>Clone</button>
                            <% } %>
                            <%if (question.count_used === 0) { %>
                                <button class="btn btn-danger btn-delete float-right" type="submit" name="delete" value="delete" edgar_confirm_text="Do you really want to delete this?" <% if (locals.disableDelete) { %>disabled<% } %>>Delete</button>
                            <%}%>
                            <% if (!locals.hideSave) { %>
                                <button class="btn btn-<%=((question.is_active) ? "warning" : "success")%> float-right" type="submit" name="toggleactive" value="toggleactive" <% if (locals.disableSave) { %>disabled<% } %>>
                                    <%=((question.is_active) ? "Disable" : "Enable")%>
                                </button>
                            <% } %>
                        </div>
                    </div>
                </div>


            <% } else {%>
                <div>
                    <em>This question is "retired", you cannot edit questions that have successors (newer versions).</em>
                </div>
            <% } %>

</div>

